<?php
include_once 'controleacesso_helper.php';


class ValidacaoUtils {

    public static function verificarLoginUtils($sessao) {
        if (!$sessao->userdata('logado')) {
            redirect(DadosPaginas::LOGIN_SISTEMA);
        }
        if ((!$sessao->userdata('id'))) {
            $sessao->sess_destroy();
            redirect(DadosPaginas::LOGIN_SISTEMA);
        }
    }

    public static function verificarLoginSite($session) {
        if ( (!$session->userdata('logado'))) {
            if ($session->userdata('isMobile')) {
                redirect(DadosPaginas::LOGIN_SITE_MOBILE);
            }
            redirect(DadosPaginas::LOGIN_SITE);
        }
    }

    public static function validarData($data) {
        if ($data != null) {
            $data = explode('/', $data);
            $data = $data[2] . '-' . $data[1] . '-' . $data[0];
        } else {
            $data = date('Y-m-d');;
        }
        return $data;
    }

    public static function carregarModelsPagina($modelPagina, $objeto) {
        $objeto->load->model(array($modelPagina));
//        $objeto->data['contasvencidas'] = $objeto->principal_model->getQtdContas();
//        $objeto->data['atestadomedico'] = $objeto->principal_model->getQtdAtestadoMedico();
    }

    public static function nivelTemAcessoPermitido($nivel, $controller) {
        if (in_array($controller, ControleAcesso::verificarAcessosPermitidos($nivel))) {
            return;
        }else{
            self::mensagemNaoTemPermissaoAcao();
        }
        ob_start();
    }

    public static function mensagemNaoTemPermissaoAcao($sessao) {
        $sessao->set_flashdata('error', 'Voc&ecirc n&atildeo tem permiss&atildeo para essa a&ccedil;&atildeo.');
        redirect('principal/gerenciarSistema');
    }
}

?>
